using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Text;
using System.IO;

namespace VEtterem
{
    public class Naplo
    {        
        public static void NaplobaIr(string nev, string ip, Esemeny e)
        {
            string szoveg = "" ;
            switch (e)
            {
                case Esemeny.Reg:
                    {
                        szoveg = "Regisztráció: " + nev + "; " + ip + "; " + DateTime.Now.ToString("dddd, dd MMMM yyyy HH:mm:ss") + ".";
                        break;
                    }
                case Esemeny.Login:
                    {
                        szoveg = "Bejelentkezés: " + nev + "; " + ip + "; " + DateTime.Now.ToString("dddd, dd MMMM yyyy HH:mm:ss") + ".";
                        break;
                    }
                case Esemeny.Logout:
                    {
                        szoveg = "Kijelentkezés: " + nev + "; " + ip + "; " + DateTime.Now.ToString("dddd, dd MMMM yyyy HH:mm:ss") + ".";
                        break;
                    }
                case Esemeny.Ord:
                    {
                        szoveg = "Rendelés feladása: " + nev + "; " + ip + "; " + DateTime.Now.ToString("dddd, dd MMMM yyyy HH:mm:ss") + ".";
                        break;
                    }
                case Esemeny.DelOrd:
                    {
                        szoveg = "Rendelés törlése: " + nev + "; " + ip + "; " + DateTime.Now.ToString("dddd, dd MMMM yyyy HH:mm:ss") + ".";
                        break;
                    }
                case Esemeny.ServOrd:
                    {
                        szoveg = "Rendelés teljesítése: " + nev + "; " + ip + "; " + DateTime.Now.ToString("dddd, dd MMMM yyyy HH:mm:ss") + ".";
                        break;
                    }
                case Esemeny.NewSale:
                    {
                        szoveg = "Új akció felvitele: " + nev + "; " + ip + "; " + DateTime.Now.ToString("dddd, dd MMMM yyyy HH:mm:ss") + ".";
                        break;
                    }
                case Esemeny.DelSale:
                    {
                        szoveg = "Akció törlése: " + nev + "; " + ip + "; " + DateTime.Now.ToString("dddd, dd MMMM yyyy HH:mm:ss") + ".";
                        break;
                    }
                case Esemeny.Error:
                    {
                        szoveg = "Hiba történt: "+ DateTime.Now.ToString("dddd, dd MMMM yyyy HH:mm:ss") + ".";
                        break;
                    }
                default:

                    break;
            }

            StreamWriter sw ;
            sw = File.AppendText("D:\\VEtteremLog.txt");
            sw.WriteLine(szoveg);
            sw.Close();
        }
    }
    public enum Esemeny
    {
        Reg,
        Login,
        Logout,
        Ord,
        DelOrd,
        ServOrd,
        NewSale,
        DelSale,
        Error
    }

}
